# Role : docker_wekan

## Services fournis

Installation de wekan sur un serveur docker_host

## Variables

```yaml
docker_wekan_fqdn: wekan.example.com
docker_wekan_version: wekanteam/wekan:v7.33
docker_wekan_data_dir: /data1
docker_wekan_service_id: wekan_example_com
docker_wekan_custom_env: |
  - WITH_API=true
  - RICHER_CARD_COMMENT_EDITOR=true
  - BIGEVENTS_PATTERN=NONE
  - CARD_OPENED_WEBHOOK_ENABLED=false
  - MAIL_URL=smtp://mail.axamplecom:587
  - MAIL_FROM=Wekan Notifications <wekan@example.com>
  - MAIL_SERVICE_USER=wekan@example.com
  - MAIL_SERVICE_PASSWORD=lemotmotdepasse

```

| Option                        | Valeur par défaut     | Description                                                                               |
|-------------------------------|-----------------------|-------------------------------------------------------------------------------------------|
| docker_wekan_fqdn             |                       | Le nom de domaine pour lequel le service wekan répond                                     |
| docker_wekan_version          |                       | La version de l'image docker wekan                                                        |
| docker_wekan_data_dir         |                       | L'emplacement dans lequel se trouvent les volumes de donnees docker pour le service       |
| docker_wekan_service_id       |                       | Le nom de service souhaité : conditionne le nommage des volumes et le routage par traefik |
| docker_wekan_custom_env       | cf. defaults/main.yml | Ensemble de variables d'environnement qui peuvent être passées à Wekan pour le configurer | 


## Premier démarrage dans wekan

* Le premier utilisateur enregistré sera administrateur de l'instance wekan.
* Depuis l'interface administrateur, envisager de désactiver l'auto inscription (paramètres/inscription).
